# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YtAspectRatio

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.youtube.YtAspectRatio

All Implemented Interfaces:
  Extension

    public class YtAspectRatio

extends AbstractExtension

Object representation for the yt:aspectRatio tag.

Nested Class Summary
`static class` `YtAspectRatio.Value`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YtAspectRatio()`
`YtAspectRatio(YtAspectRatio.Value value)` Creates a tag and sets the aspect ratio.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`protected void` `generateAttributes(java.util.List<com.google.gdata.util.common.xml.XmlWriter.Attribute> attrs, AttributeGenerator generator)` Generates the attributes in the generator into the list of attributes.
`YtAspectRatio.Value` `getValue()` Gets the aspect ratio.
`void` `setValue(YtAspectRatio.Value value)` Sets the aspect ratio.
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YtAspectRatio

    public YtAspectRatio()

### YtAspectRatio

    public YtAspectRatio(YtAspectRatio.Value value)

  Creates a tag and sets the aspect ratio.

  Parameters:
    `value` - the aspect ratio

Method Detail

### setValue

    public void setValue(YtAspectRatio.Value value)

  Sets the aspect ratio.

### getValue

    public YtAspectRatio.Value getValue()

  Gets the aspect ratio.

### generateAttributes

    protected void generateAttributes(java.util.List<com.google.gdata.util.common.xml.XmlWriter.Attribute> attrs,
                                      AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Generates the attributes in the generator into the list of attributes.

  Overrides:
    `generateAttributes` in class `AbstractExtension`

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### validate

    protected void validate()
                     throws java.lang.IllegalStateException

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`
  Throws:
    `java.lang.IllegalStateException` - if any problems are found with the attributes